Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "9adb3133-e755-3638-aa3b-a6bdb93f9548",
"name": "Asperiores nulla omnis.",
"code": "voluptate-neque-soluta-omnis-nisi-dolores-autem",
"short_description": "Voluptate neque impedit magnam illo qui aut.",
"price": {
"uuid": "5cf3f6a9-f943-37d8-ae33-4085cc57476e",
"price": {
"currency": "USD",
"amount": "463.00",
"amount_minor": 46300
},
"type": "recurring",
"recurrence": {
"occurrence": "month",
"period": 1,
"grace_period": 86400,
"is_unexpirable": false
},
"code": "code-5cf3f6a9-f943-37d8-ae33-4085cc57476e",
"is_default": true,
"created_at": "2026-03-03T14:05:32.0000000+00:00",
"requires_external_termination": false
}
},
{
"uuid": "d6acb42d-fae5-3269-8fe3-fc030c602e26",
"name": "Blanditiis fugiat.",
"code": "nostrum-dignissimos-repellendus-quae-blanditiis-harum",
"short_description": "Vel rerum autem iusto eos.",
"price": {
"uuid": "6fd677ed-a7a5-340b-a5aa-541af4108111",
"price": {
"currency": "USD",
"amount": "388.00",
"amount_minor": 38800
},
"type": "recurring",
"recurrence": {
"occurrence": "month",
"period": 1,
"grace_period": 86400,
"is_unexpirable": false
},
"code": "code-6fd677ed-a7a5-340b-a5aa-541af4108111",
"is_default": true,
"created_at": "2026-03-03T14:05:32.0000000+00:00",
"requires_external_termination": false
}
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}Return the List of all Product Variants that are purchasable.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
"code-standard"
"4cdf32b8-47e2-4714-88b4-9ab307a097f9"
Show child attributes
[
{
"uuid": "9adb3133-e755-3638-aa3b-a6bdb93f9548",
"name": "Asperiores nulla omnis.",
"code": "voluptate-neque-soluta-omnis-nisi-dolores-autem",
"short_description": "Voluptate neque impedit magnam illo qui aut.",
"price": {
"uuid": "5cf3f6a9-f943-37d8-ae33-4085cc57476e",
"price": {
"currency": "USD",
"amount": "463.00",
"amount_minor": 46300
},
"type": "recurring",
"recurrence": {
"occurrence": "month",
"period": 1,
"grace_period": 86400,
"is_unexpirable": false
},
"code": "code-5cf3f6a9-f943-37d8-ae33-4085cc57476e",
"is_default": true,
"created_at": "2026-03-03T14:05:32Z",
"requires_external_termination": false
}
},
{
"uuid": "d6acb42d-fae5-3269-8fe3-fc030c602e26",
"name": "Blanditiis fugiat.",
"code": "nostrum-dignissimos-repellendus-quae-blanditiis-harum",
"short_description": "Vel rerum autem iusto eos.",
"price": {
"uuid": "6fd677ed-a7a5-340b-a5aa-541af4108111",
"price": {
"currency": "USD",
"amount": "388.00",
"amount_minor": 38800
},
"type": "recurring",
"recurrence": {
"occurrence": "month",
"period": 1,
"grace_period": 86400,
"is_unexpirable": false
},
"code": "code-6fd677ed-a7a5-340b-a5aa-541af4108111",
"is_default": true,
"created_at": "2026-03-03T14:05:32Z",
"requires_external_termination": false
}
}
]
Show child attributes